create an en_GB@p2j_basic locale definition

11/26/2012 12:22 PM - Eric Faulhaber

Status: Hold Start date: 11/26/2012

Priority: Normal Due date:  

Assignee: Eric Faulhaber % Done: 40%

Category:  Estimated time: 24.00 hours

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 11/26/2012 12:26 PM - Eric Faulhaber

Model this after locale/en_US@p2j_basic, customizing LC_CTYPE and LC_COLLATE sections.  Use en_GB as a basis instead of en_US.

#2 - 12/07/2012 01:11 PM - Eric Faulhaber

- % Done changed from 0 to 30

#3 - 12/13/2012 12:21 PM - Eric Faulhaber

- % Done changed from 30 to 40

I have done a first cut of this as described above, but I'm pretty sure it's not quite right yet.

I exported the collation table for ISO_8859-15 from the data dictionary on windev01.  I used the CASE-SENSITIVE-SORT section of the export file

with P2JLocaleHelper to produce the LC_COLLATE section of en_GB@p2j_basic.  Strangely, the exported file had empty sections for the

uppercase/lowercase maps.  I ended up referring to en_US@p2j_basic for the LC_CTYPE section, but I don't think this is right.  I probably need to

write a 4GL program to walk each code point from 0x00 to 0xFF and generate my own upper- and lowercase mappings.  Also need to revisit other

parts of the LC_CTYPE for accuracy (e.g., punct, xdigit?), since there are some differences between ISO_8859-1 (on which en_US@p2j_basic is

based) and ISO_8859-15.

However, I've generated an interim en_GB@p2j_basic locale for Linux on my development system and initialized a PostgreSQL cluster named

p2j_enGB on top of it, to make sure the mechanism is OK.

#4 - 12/18/2012 05:50 PM - Eric Faulhaber

Here is the information screen for the <db_name> database on windev01 from the Data Administration --> Utilities --> Information menu item:

                         Currently Selected Database 

        Connected DBs: 1

            Connected: yes

        Physical name: F:\l\db\<db_name>

         Logical name: <db_name>

        Schema holder: <db_name>

        Database type: PROGRESS

     Database version: 10

         Restrictions:

     Database user id:
   Database code page: iso8859-1

   Database collation: basic

     64-bit Sequences: enabled

    Large key entries: enabled

                        OpenEdge and Operating System 

  Operating System: WIN32

       PRO version: 10.2B

       DataServers: PROGRESS,ORACLE,ODBC,MSS

                        Environment/Startup Parameters 

     -yy century setting: 1950     Decimal point character: .

     -d dmy date setting: dmy          Thousands separator: ,

          Session stream: ISO8859-15

         Session charset: ISO8859-15

    PROPATH = .,d:\oe102b\gui,d:\oe102b\gui\adecomm.pl,

              d:\oe102b\gui\adecomp.pl,d:\oe102b\gui\adedesk.pl,

              d:\oe102b\gui\adedict.pl,d:\oe102b\gui\adeedit.pl,

              d:\oe102b\gui\adeicon.pl,d:\oe102b\gui\aderes.pl,

              d:\oe102b\gui\adeshar.pl,d:\oe102b\gui\adeuib.pl,

              d:\oe102b\gui\adeweb.pl,d:\oe102b\gui\adexml.pl,

              d:\oe102b\gui\prodict.pl,d:\oe102b\gui\protools.pl,

              d:\oe102b,d:\oe102b\bin

                                    Screen 

                 Screen lines: 15

                Message lines: 2

                 Space-taking: no

                Terminal type: WIN3

 

Note that the database code page is iso8859-1, though the session stream and session charset are iso8859-15.  I'm not sure to what the latter two

items refer, but the former (plus the fact that the collation is 'basic') suggests that our en_US@p2j_basic locale will work fine for this database.
#5 - 01/02/2013 01:08 AM - Eric Faulhaber

- Status changed from WIP to Hold

#6 - 01/14/2013 10:52 AM - Greg Shah

- Target version changed from Milestone 3 to Milestone 11

The customer has confirmed that they normally use 8859-1 for the database but 8859-15 for the 4GL environment (code execution).  They are

deciding if they will switch the DB to 8859-15.  This task is on hold pending the result of their investigation/decision.

#7 - 05/02/2013 10:31 PM - Eric Faulhaber

- Target version deleted (Milestone 11)

- Estimated time changed from 4.00 to 24.00
